Subject: bug#46772: make check FAILs: publish.scm store.scm

From: Leo Famulari <[email-masked]>
Date: Tue, 2 Mar 2021 16:51:40 -0500

On Thu, Feb 25, 2021 at 02:51:29PM +0000, Sanne Wouda wrote:
> I'm seeing two failures when running the guix test suite on HEAD (c1da9829f8b6)
> 
> publish.scm "with cache" fails on line 456:
> 
> (= #o644 (stat:perms (lstat nar)))
> 
> which seems to be due to umask:
> 
> $ umask
> 0002
> 
> If I set umask to 022, the test passes.

I wonder if this is the same as <https://bugs.gnu.org/46413>

> The second failure is a crash in store.scm, which appears to be due to %shell being initialized to #f. I run make check inside guix environment guix --pure . Before running make check, SHELL=/bin/bash , so I'm not sure how (getenv "SHELL") would return #f.

I submitted a patch for this:

https://bugs.gnu.org/46445